org.apache.ignite.internal.processors.datastructures

## Class GridCacheAtomicLongValue

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.GridCacheAtomicLongValue

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, GridCacheInternal

    public final class GridCacheAtomicLongValue
    extends Object
    implements GridCacheInternal, Externalizable, Cloneable

Atomic long value.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheAtomicLongValue()` Empty constructor required for `Externalizable`.
`GridCacheAtomicLongValue(long val)` Constructor.

### Method Summary

Methods
`Object` `clone()`
`long` `get()`
`void` `readExternal(ObjectInput in)`
`void` `set(long val)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheAtomicLongValue

    public GridCacheAtomicLongValue(long val)

Constructor.

Parameters:
  `val` - Initial value.

#### GridCacheAtomicLongValue

    public GridCacheAtomicLongValue()

Empty constructor required for `Externalizable`.

### Method Detail

#### set

    public void set(long val)

Parameters:
  `val` - New value.

#### get

    public long get()

Returns:
  val Current value.

#### clone

    public Object clone()
                 throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015